ChangeSet 1.850.1.3, 2002/10/29 15:44:25-08:00, greg@kroah.com

USB: Fixes for previous USB_* flag patch.


diff -Nru a/drivers/usb/core/hcd.c b/drivers/usb/core/hcd.c
--- a/drivers/usb/core/hcd.c	Wed Oct 30 09:44:05 2002
+++ b/drivers/usb/core/hcd.c	Wed Oct 30 09:44:05 2002
@@ -1150,9 +1150,9 @@
 	 * lower level hcd code is always async, locking on urb->status
 	 * updates; an intercepted completion unblocks us.
 	 */
-	if ((urb->transfer_flags & USB_TIMEOUT_KILLED))
+	if ((urb->transfer_flags & URB_TIMEOUT_KILLED))
 		urb->status = -ETIMEDOUT;
-	else if (!(urb->transfer_flags & USB_ASYNC_UNLINK)) {
+	else if (!(urb->transfer_flags & URB_ASYNC_UNLINK)) {
 		if (in_interrupt ()) {
 			dbg ("non-async unlink in_interrupt");
 			retval = -EWOULDBLOCK;
diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Wed Oct 30 09:44:05 2002
+++ b/drivers/usb/net/usbnet.c	Wed Oct 30 09:44:05 2002
@@ -1957,7 +1957,7 @@
 	usb_fill_bulk_urb (urb, dev->udev,
 			usb_sndbulkpipe (dev->udev, info->out),
 			skb->data, skb->len, tx_complete, skb);
-	urb->transfer_flags |= USB_ASYNC_UNLINK;
+	urb->transfer_flags |= URB_ASYNC_UNLINK;
 	// FIXME urb->timeout = ... jiffies ... ;
 
 	spin_lock_irqsave (&dev->txq.lock, flags);
